///////////////////////////////////////////////////////////////////////////
///////// 				   MilaDesign Plugins					  /////////
/////////                Plugin Name: AdSdk Ad                    /////////
/////////                 Plugin Version: 2.0                     /////////
/////////           Plugin Description: Show Ad-Sdk Ad            /////////
/////////             Email: Rezagah.Milad@Gmail.com              /////////
/////////              Website: http://miladesign.ir              /////////
/////////       Telegram ID: https://telegram.me/MilaDesign       /////////
///////////////////////////////////////////////////////////////////////////


// ECMAScript 5 strict mode
"use strict";

assert2(cr, "cr namespace not created");
assert2(cr.plugins_, "cr.plugins_ not created");

cr.plugins_.miladesign_AdSdk = function(runtime)
{
	this.runtime = runtime;
};

(function ()
{	
	var pluginProto = cr.plugins_.miladesign_AdSdk.prototype;
		
/////////////////////////////////////
// Object type class
	pluginProto.Type = function(plugin)
	{
		this.plugin = plugin;
		this.runtime = plugin.runtime;
	};

	var typeProto = pluginProto.Type.prototype;

// called on startup for each object type
	typeProto.onCreate = function()
	{
		if(this.runtime.isBlackberry10 || this.runtime.isWindows8App || this.runtime.isWindowsPhone8 || this.runtime.isWindowsPhone81){
			var scripts=document.getElementsByTagName("script");
			var scriptExist=false;
			for(var i=0;i<scripts.length;i++){
				if(scripts[i].src.indexOf("cordova.js")!=-1||scripts[i].src.indexOf("phonegap.js")!=-1){
					scriptExist=true;
					break;
				}
			}
			if(!scriptExist){
				var newScriptTag=document.createElement("script");
				newScriptTag.setAttribute("type","text/javascript");
				newScriptTag.setAttribute("src", "cordova.js");
				document.getElementsByTagName("head")[0].appendChild(newScriptTag);
			}
		}
	};

/////////////////////////////////////
// Instance class
	pluginProto.Instance = function(type)
	{
		this.type = type;
		this.runtime = type.runtime;
	};
	
	var instanceProto = pluginProto.Instance.prototype;
	
	function intToBoolean(i) {
		switch (i) {
			case 0:
				return false;
			case 1:
				return true;
		}
		return false;
	};
	
// called whenever an instance is created
	instanceProto.onCreate = function()
	{
		if (!(this.runtime.isAndroid || this.runtime.isiOS))
			return;
        if (typeof window["adsdk"] == "undefined")
            return;
		
		var self = this;

	};
	
	
	instanceProto.draw = function(ctx)
	{
	};
	instanceProto.drawGL = function (glw)
	{
	};

//////////////////////////////////////
// Conditions
	function Cnds() {};
	
	pluginProto.cnds = new Cnds();
	
//////////////////////////////////////
// Actions
	function Acts() {};
	
	Acts.prototype.initialize = function (developerId, testMode, enabled) {
		if (!(this.runtime.isAndroid ))
            return;
        if (typeof window["adsdk"] == 'undefined')
            return;
		
		window["adsdk"]["initialize"](developerId, intToBoolean(testMode), intToBoolean(enabled));
	};
	
	pluginProto.acts = new Acts();
	
//////////////////////////////////////
// Expressions
	function Exps() {};

	pluginProto.exps = new Exps();

}());